function fmt_demonstrator
% this function displays the various possible functions with 3 atoms

m = [.2 .1 .05 .0 .15 .30 .12 .08];
b = fmt(m,'m','b');
pl = fmt(b,'b','pl');
bel = fmt(b,'b','bel');
q = fmt(m,'m','q');
w = fmt(q,'q','w');
bet = fmt(m,'m','betp');
nm = fmt(m,'m','m','norm');
npl = fmt(m,'m','pl','norm');
nb = fmt(bel,'bel','bel','norm')

disp(' ')
disp('Values of the various functions described in the TBM')
disp('when the frame of discernement has 3 elements.')
disp('The function bel and those with the n_ prefix are normalized')
disp(' ')
disp('          atom  ')
disp('position 3 2 1      m    n_b    bel     pl      q      w    n_m  n_bel   n_pl')
for i = 1:8
	fprintf ('   %2i    %1i %1i %1i %6.3f %6.3f %6.3f %6.3f %6.3f %6.3f %6.3f %6.3f %6.3f\n',...
		[i-1, bitget(i-1,3:-1:1), m(i), b(i), bel(i) , pl(i), q(i), w(i),nm(i),nb(i), npl(i)])
end
disp(' ')
disp('Pignistic probabilities')
disp('atom   BetP' )	
for i = 1:3
	fprintf(' %2i  %6.3f\n',i, bet(i))
end
disp(' ')
